Bug 496788 - GNOME applications hang and fail to start after a while [NEEDINFO]
GNOME applications hang and fail to start after a while
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 03:12 EDT by Gabriel Schulhof
Modified: 2009-12-18 04:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:18:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: needinfo? (gabrielschulhof)


Attachments (Terms of Use)

  None (edit)
Description Gabriel Schulhof 2009-04-21 03:12:25 EDT
Description of problem:
I have a dual head setup with separate desktops: :0.0 and :0.1. I have 2 rows of 4 virtual desktops on each screen. I usually do my work on :0.0 and read email, idle around in IRC, browse the Web, and keep devhelp running in :0.1.

Since a few updates ago, I have noticed that, after a while (~ 10 - 15 minutes), GNOME applications on :0.1 hang. I have to kill them, and when I start them again (via Alt+F2, appname, Enter), they fail to show up. 

Simple applications like gnome-falling-blocks, gcalculator, as well as plain X apps like xterm show up immediately.

gedit shows up, but fails to resize its widgets to the window which is initially maximized, and hangs.

evolution, firefox, and gnome-terminal do not show up at all.

Version-Release number of selected component (if applicable):
gnome-desktop-2.24.3-1.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Set up :0.0 and :0.1
2. Log in
3. Run firefox on :0.1
4. Do your work on :0.0

Actual results:
As mentioned above, firefox, evolution, and devhelp, if running successfully, will stop and hang.

Expected results:
Earlier, these applications functioned correctly for an indefinite period of time while running on :0.1. This is the expected behaviour.

Additional information:
I consider this bug quite important, because it disrupts my work.
Comment 1 Gabriel Schulhof 2009-04-28 11:16:01 EDT
#0  0x002d0832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x003d539d in ___newselect_nocancel () from /lib/libc.so.6
#2  0x00fd8e29 in scim_bridge_messenger_receive_message (messenger=0x9a8c1c8, timeout=0x0) at scim-bridge-messenger.c:491
#3  0x00fdc03f in scim_bridge_client_read_and_dispatch () at scim-bridge-client.c:1193
#4  0x00fde3f7 in scim_bridge_client_register_imcontext (imcontext=0x98d9e38) at scim-bridge-client.c:1313
#5  0x00fd5b07 in scim_bridge_client_imcontext_initialize (imcontext=0x98d9e38, klass=0x9a38548) at scim-bridge-client-imcontext-gtk.c:724
#6  0x00c5e7a3 in IA__g_type_create_instance (type=162054704) at gtype.c:1674
#7  0x00c42985 in g_object_constructor (type=162054704, n_construct_properties=0, construct_params=0x0) at gobject.c:1334
#8  0x00c431b3 in IA__g_object_newv (object_type=162054704, n_parameters=0, parameters=0x0) at gobject.c:1211
#9  0x00c43d87 in IA__g_object_new_valist (object_type=162054704, first_property_name=0x0, var_args=0xbf9e4348 "") at gobject.c:1274
#10 0x00c43efe in IA__g_object_new (object_type=162054704, first_property_name=0x0) at gobject.c:1056
#11 0x00fd59c5 in scim_bridge_client_imcontext_new () at scim-bridge-client-imcontext-gtk.c:691
#12 0x00fd562b in im_module_create (context_id=<value optimized out>) at im-scim-bridge-gtk.c:86
#13 0x07b1bda1 in _gtk_im_module_create (context_id=0x9a21d30 "scim-bridge") at gtkimmodule.c:602
#14 0x07b1cad8 in gtk_im_multicontext_get_slave (multicontext=0x9a0b3b0) at gtkimmulticontext.c:236
#15 0x07b1ce1e in gtk_im_multicontext_get_preedit_string (context=0x9a0b3b0, str=0xbf9e4488, attrs=0xbf9e4484, cursor_pos=0xbf9e4480) at gtkimmulticontext.c:301
#16 0x07b1951a in IA__gtk_im_context_get_preedit_string (context=0x9a0b3b0, str=0xbf9e4488, attrs=0xbf9e4484, cursor_pos=0xbf9e4480) at gtkimcontext.c:263
#17 0x07bf8ae5 in gtk_text_view_preedit_changed_handler (context=0x9a0b3b0, text_view=0x9a27080) at gtktextview.c:7239
#18 0x00c4a984 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9a2b238, return_value=0x0, n_param_values=1, param_values=0x9a33078, invocation_hint=0xbf9e461c, marshal_data=0x7bf8a70)
    at gmarshal.c:77
#19 0x00c3d1fb in IA__g_closure_invoke (closure=0x9a2b238, return_value=0x0, n_param_values=1, param_values=0x9a33078, invocation_hint=0xbf9e461c) at gclosure.c:767
#20 0x00c53655 in signal_emit_unlocked_R (node=0x9a07ab0, detail=0, instance=0x9a0b3b0, emission_return=0x0, instance_and_params=0x9a33078) at gsignal.c:3244
#21 0x00c54d6c in IA__g_signal_emit_valist (instance=0x9a0b3b0, signal_id=288, detail=0, var_args=0xbf9e4818 "") at gsignal.c:2977
#22 0x00c5508d in IA__g_signal_emit_by_name (instance=0x9a0b3b0, detailed_signal=0x7cd9895 "preedit-changed") at gsignal.c:3071
#23 0x07b1c570 in gtk_im_multicontext_set_slave (multicontext=0x9a0b3b0, slave=0x0, finalizing=0) at gtkimmulticontext.c:219
#24 0x07b1cd10 in gtk_im_multicontext_focus_in (context=0x9a0b3b0) at gtkimmulticontext.c:340
#25 0x07b193d6 in IA__gtk_im_context_focus_in (context=0x9a0b3b0) at gtkimcontext.c:310
#26 0x07bf08fc in gtk_text_view_focus_in_event (widget=0x9a27080, event=0x98d9ed8) at gtktextview.c:4364
#27 0x07b365e6 in _gtk_marshal_BOOLEAN__BOXED (closure=0x97fac88, return_value=0xbf9e4a80, n_param_values=2, param_values=0x9a35f90, invocation_hint=0xbf9e4a6c, marshal_data=0x7bf0850)
    at gtkmarshalers.c:84
#28 0x00c3b959 in g_type_class_meta_marshal (closure=0x97fac88, return_value=0xbf9e4a80, n_param_values=2, param_values=0x9a35f90, invocation_hint=0xbf9e4a6c, marshal_data=0xe0)
    at gclosure.c:878
#29 0x00c3d128 in IA__g_closure_invoke (closure=0x97fac88, return_value=0xbf9e4a80, n_param_values=2, param_values=0x9a35f90, invocation_hint=0xbf9e4a6c) at gclosure.c:767
#30 0x00c532fd in signal_emit_unlocked_R (node=0x97fad98, detail=0, instance=0x9a27080, emission_return=0xbf9e4bb8, instance_and_params=0x9a35f90) at gsignal.c:3282
#31 0x00c54beb in IA__g_signal_emit_valist (instance=0x9a27080, signal_id=44, detail=0, var_args=0xbf9e4c10 "(L\236��\236\215\t\200p�\t\206\034�\a\200p�\t\200s\177\t") at gsignal.c:2987
#32 0x00c551e6 in IA__g_signal_emit (instance=0x9a27080, signal_id=44, detail=0) at gsignal.c:3034
#33 0x07c4b98e in gtk_widget_event_internal (widget=0x9a27080, event=0x98d9ed8) at gtkwidget.c:4745
#34 0x07c5b7a2 in do_focus_change (widget=0x9a27080, in=1) at gtkwindow.c:5081
#35 0x07c5dc25 in _gtk_window_set_is_active (window=0x981e000, is_active=<value optimized out>) at gtkwindow.c:8142
#36 0x07c5dcd0 in gtk_window_focus_in_event (widget=0x981e000, event=0x98fbda0) at gtkwindow.c:5103
#37 0x07b365e6 in _gtk_marshal_BOOLEAN__BOXED (closure=0x97fac88, return_value=0xbf9e4e60, n_param_values=2, param_values=0x9a35af0, invocation_hint=0xbf9e4e4c, marshal_data=0x7c5dc90)
    at gtkmarshalers.c:84
#38 0x00c3b959 in g_type_class_meta_marshal (closure=0x97fac88, return_value=0xbf9e4e60, n_param_values=2, param_values=0x9a35af0, invocation_hint=0xbf9e4e4c, marshal_data=0xe0)
    at gclosure.c:878
#39 0x00c3d1fb in IA__g_closure_invoke (closure=0x97fac88, return_value=0xbf9e4e60, n_param_values=2, param_values=0x9a35af0, invocation_hint=0xbf9e4e4c) at gclosure.c:767
#40 0x00c532fd in signal_emit_unlocked_R (node=0x97fad98, detail=0, instance=0x981e000, emission_return=0xbf9e4f98, instance_and_params=0x9a35af0) at gsignal.c:3282
#41 0x00c54beb in IA__g_signal_emit_valist (instance=0x981e000, signal_id=44, detail=0, var_args=0xbf9e4ff0 "\bP\236���\217\t") at gsignal.c:2987
#42 0x00c551e6 in IA__g_signal_emit (instance=0x981e000, signal_id=44, detail=0) at gsignal.c:3034
#43 0x07c4b98e in gtk_widget_event_internal (widget=0x981e000, event=0x98fbda0) at gtkwidget.c:4745
#44 0x07b30597 in IA__gtk_main_do_event (event=0x98fbda0) at gtkmain.c:1574
#45 0x07f3030a in gdk_event_dispatch (source=0x97d9020, callback=0, user_data=0x0) at gdkevents-x11.c:2365
#46 0x00527258 in g_main_dispatch () at gmain.c:2144
#47 IA__g_main_context_dispatch (context=0x97d9068) at gmain.c:2697
Comment 2 Gabriel Schulhof 2009-04-28 11:18:36 EDT
This is a backtrace I got by attaching to a hung gedit. It looks like the problem is with SCIM. Suspecting this, I killed scim and re-started it and, sure enough, things are now working. It's not the whole backtrace. It said "type <return> to continue", but I didn't because I wanted to test whether re-starting SCIM fixed things.

Nonetheless, I don't want to keep having to re-start SCIM all the time.
Comment 3 Gabriel Schulhof 2009-04-29 06:15:24 EDT
Alright ... right-clicking on SCIM and clicking Exit, which causes SCIM to be immediately restarted, and fixes the hangages does not seem like such a high price to pay. I'd consider this a workaround - for now.
Comment 4 Jens Petersen 2009-05-05 04:25:43 EDT
F11 has a newer scim-bridge package and there is an even newer one in dist-f12 in koji which you might like to test.  If they help we can certainly backport them to f10 also.
Comment 5 Bug Zapper 2009-11-18 04:59:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:18:31 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.